<!--
 * @Date: 2022-08-17 16:19:13
 * @LastEditors: JinxChen
 * @LastEditTime: 2023-06-25 16:08:26
 * @FilePath: \TelpoH5FrontendWeb\README.md
 * @description: 项目说明
-->
# telpo-h5-template

## Project setup
```
npm install
```

### Compiles and hot-reloads for development
```
npm run dev
```

### Compiles and minifies for production
```
npm run build
```

### Run your tests
```
npm run test
```

### Lints and fixes files
```
npm run lint
```

### Customize configuration
See [Configuration Reference](https://cli.vuejs.org/config/).

# 本项目为天波H5项目
## 版本号管理
- 版本格式：主版本号.次版本号.修订号
1.主版本号：当你做了不兼容的 API 修改（ 一般项目发生重大功能改变）
2.次版本号：当你做了向下兼容的功能性新增，
3.修订号：当你做了向下兼容的问题修正。
例如:
- V #1.0.0

##git提交为以下类别
- 1.fix 修复 xxx问题
- 2.feat 增加 xxx功能
- 3.docs 文档变更
- 4.style 代码格式(不影响代码运行的变动)
- 5.perf 性能优化
- 提交格式,比如:
-start---------------
- 版本号 v#1.0.0
- 2022.08.06
fix
  - 修改文件名称
    - fix 修复了 xxx问题
...

- 后续可根据项目需要更新或者改进
-end------------------------

## v1.0.0
`2022.8.8`
feat
- 增加 项目基本配置

## v1.0.1
`2022.8.18`
feat
- card-form
    - 增加 一个表单录入页

## v1.0.2
`2022.8.19`
style
- card-form
    - 修改 页面样式

## v1.0.3
`2022.8.19`
feat
- card-form
    - 增加 接口

## v1.0.4
`2022.8.20`
feat
- card-form
    - 增加 保存失败错误提示

## v1.0.5
`2022.8.20`
fix
- card-form
    - 修复 保存iccId参数多出来一个的问题

## v1.0.6
`2022.8.23`
feat
- card-form
    - 增加 亲情号码六个字段

## v1.0.7
`2022.8.24`
feat
- card-form
    - 增加 备注字段

## v1.0.8
`2022.8.25`
feat
- card-form
    - 增加 学校名称字段
    - 修改 学校名称字段最大长度为30

## v1.0.9
`2022.8.30`
feat
- card-form
    - 修复 保存字段错误的问题

## v1.0.10
`2022.8.31`
feat
- card-form
    - 增加 年级/班级下拉选择


## v1.0.11
`2022.9.9`
feat
- card-form
    - 修改 保存接口传参

## v1.0.12
`2022.10.11`
feat
- card-form
    - 修改 班级参数

-------------分割线，以下是2023年的readme----------

## v1.0.13
`2023.2.24`
feat
- package-list
    - 增加 一个话费套餐购买页面



## v1.0.14
`2023.2.24`
feat
- package-home
    - 增加 一个微信授权获取code的首页


## v1.0.15
`2023.2.24`
fix
- package-home
    - 修复 微信网页授权重定向错误的问题

## v1.0.16
`2023.2.24`
fix
- package-home
    - 修复 微信网页获取openId失败的问题

## v1.0.17
`2023.2.24`
feature
- pay-result
    - 增加 一个微信支付结果查询页面


## v1.0.18
`2023.2.24`
feature
- 修复 路由切换页面不刷新的问题



## v1.0.19
`2023.2.25`
fix
- 修复 路由切换页面不刷新的问题

## v1.0.20
`2023.2.25`
fix
- 修复 调起微信支付异常的问题
- 修复 获取imei异常的问题
- 修改 获取openId方式

## v1.0.21
`2023.2.25`
update
- 暂时只开放支付宝支付


## v1.0.22
`2023.2.26`
update
- 修复 查询支付结果异常的问题
- 增加 激活成功返回校园号首页
- 取消 从接口获取套餐数据


## v1.0.23
`2023.2.26`
update
- 增加 激活成功显示页面


## v1.0.24
`2023.2.27`
update
- 增加 激活成功页面在线图标
- 优化 支付方式选择页面


## v1.0.25
`2023.2.27`
update
- 优化 支付方式选择页面


## v1.0.26
`2023.2.28`
update
- 开放 微信支付
- 修改 支付宝全额支付参数，0表示全额，12表示分期


## v1.0.27
`2023.3.1`
feature
- 增加 已购买未激活容错页面
- 修复 已购买未激活未跳转容错页面的问题
- 修改 激活界面文字提示
- 修改 页面支付逻辑，由未激活充值购买变成已激活充值购买
- 增加 已购买未激活容错页面


## v1.0.28
`2023.3.2`
update
- 修改 最后一步按钮文案


## v1.0.29
`2023.3.13`
feat
- 增加 套餐列表从接口获取

## v1.0.30
`2023.3.14`
feat
- cardInfo
    - 增加 物联网卡套餐信息查询页面
    - 增加 加油包合基础套餐购买页面


## v1.0.31
`2023.3.23`
feat
- packageList，packageBuy
    - 增加 下单接口iccid参数



## v1.0.32
`2023.3.24`
feature
- alarmDetails
    - 增加 涉水区域告警页面
- amap.js
    - 增加 高德地图js

## v1.0.33
`2023.3.27`
feature
- alarmDetails
    - 增加 误报功能，设置该设备IMEI与该水域告警poi_id不做任何报警信息处理


## v1.0.34
`2023.3.29`
update
- alarmDetails
    - 修改 标题显示文字
    - 修改 弹窗显示文字


## v1.0.35
`2023.3.30`
update
- alarmDetails
    - 增加 坐标通过高德逆地理编码解析中文地址
- packageList
    - 修改 微信支付的方式，不使用jssdk，使用微信内置WeixinJSBridge对象

- appId
    - 修改 微信测试环境appId

## v1.0.36
`2023.3.30`
update
- 增加 debug按钮


## v1.0.37
`2023.3.31`
update
- alarmDetails
    - 修改 详情地址转化方式
    - 增加 进入/离开状态显示
- packageList
    - 修改 微信支付方式


## v1.0.38
`2023.4.3`
update
- packageHome
    - 增加 进入首页判断是否存在redUrl的逻辑


## v1.0.39
`2023.4.6`
update
- appId
    - 修改 正式环境的appid
- packageList
    - 修改 正式环境 代理商用户的userId
    - 修复 购买套餐时接口返回数据类型不一致导致购买异常的问题
    - 注释 获取微信jssdk接口
- packageHome
    - 修改 appId获取的方式，本地配置文件固定配置，不再从url路由获取




## v1.0.40
`2023.4.8`
update
- packageList
    - 增加 微信授权code调用方式，在缓存的基础上在路由增加一个code
- packageHome
    - 增加 微信授权code调用方式，缓存没有则从路由获取
- appId
    - 修改 测试环境appId

## v1.0.41
`2023.4.14`
update
- packageList
    - 增加 无法购买套餐时错误提示

## v1.0.42
`2023.4.15`
update
- packageHome
    - 修改 判断imei函数顺序

## v1.0.43
`2023.4.17`
update
- cardInfo
    - 优化 话费查询，购买功能


## v1.0.44
`2023.4.17`
update
- packageHome
    - 增加 进入充值首页时已充值跳转到话费查询页面
- cardInfo
    - 修复 code重复的问题

## v1.0.45
`2023.4.19`
update
- packageList
- packageBuy
    - 增加 下单接口 pkId 参数

## v1.0.46
`2023.4.27`
update
- packageBuy
    - 修改 加油包 下单接口 productId 参数，从原来 packagesId 变成 payTypeList[0].productId 即收单系统id

## v1.0.47
`2023.4.28`
fix
- buyRecord
    - 修复 购买记录时间格式转换异常导致数据显示不出来的问题

## v1.0.48
`2023.4.28`
fix
- packageBuy
    - 修复 判断套餐ID类型异常导致下单失败的问题


## v1.0.49
`2023.5.7`
update
- 微信支付
    - 修改 取消微信支付时文字 “您取消了支付”

## v1.0.50
`2023.5.10`
feature
- 增加 百度页面访问统计


## v1.0.51
`2023.5.13`
update
- 告警
    - 修改 误报文字为 免告警

## v1.0.52
`2023.5.30`
feature
- 增加 心理监测详情页面，抑郁，压力和疲劳当天图表展示
- 增加 echarts图表依赖
- 王泽林
    - 增加 心理监测-问卷调查页面
    - 增加 心理监测-建模查询页面

## v1.0.53
`2023.5.30`
update
- 心理监测详情页面
    - 增加 返回功能
    - 修改 页面标题

## v1.0.54
`2023.5.31`
update
- 心理监测详情页面
    - 优化 图表显示内容，两边增加留白区域
    - 优化 7天和30天图表圆角柱形图展示

## v1.0.55
`2023.5.31`
update
- 心理监测详情页面
    - 增加 动态填充uid
- 问卷调查页面
    - 修复 toast无限加载的问题

## v1.0.56
`2023.6.1`
feature
- 增加 一个心理详情汇总页面

## v1.0.57
`2023.6.1`
update
- 心理健康
    - 建模进度查询，问卷调查，心理详情汇总和心理健康抑郁，压力和疲劳详情页面
        - 增加 接口请求时带上从随手精灵传过来的token

## v1.0.58
`2023.6.7`
update
- ai语音告警
    - 增加 一个ai语音呼叫中间页
    - 增加 获取long_link的接口
- vue.config.js
    - 增加 关于ai水域告警接口跨域代理设置
    - 因项目接口地址不同，发布线上时取消ai水域告警接口跨域代理，仅在本地调试开启

## v1.0.59
`2023.6.9`
update
- 加油包充值购买
    - 修改 支付成功提示


## v1.0.60
`2023.6.14`
update
- 心理健康详情页面
    - 修复 历史监测选中非今天的日期后日期显示今天的问题
- vue.config.js
    - 注释 proxy代理相关代码

## v1.0.61
`2023.6.16`
update
- 心理建模进度查询
    - 增加 返回按钮

## v1.0.62
`2023.6.17`
feature
- 心理建模进度查询
    - 增加 具体返回url

## v1.0.63
`2023.6.19`
update
- 心理建模进度查询
    - 修改 返回逻辑


## v1.0.64
`2023.6.21`
update
- 心理建模进度查询
    - 增加 建模中，有2个步骤，如果任一步骤已经完成，则该步骤可以隐藏显示。
    - 修复 图表时间格式转换错误的问题
    - 增加 Advice字段显示

## v1.0.65
`2023.6.22`
update
- 心理监测详情
    - 今天趋势饼状图
        - 修改 百分比显示值，取小数点后面一位

## v1.0.66
`2023.6.25`
update
- 心理监测详情
    - 增加 7天 和 30天数据查看功能
    - 优化 页面样式内容
    - 增加 返回到随手精灵逻辑

## v1.0.67
`2023.6.26`
update
- 心理监测首页
    - 增加 页面路由参数 date

## v1.0.68
`2023.6.26`
update
- 心理建模进度查询
    - 修复 页面重绘时进度条异常的问题
    - 优化 进度条数值显示